Skip to main content
PUT
Restart endpoint

Authorizations

Authorization
string
header
required

When using Friendli Suite API for inference requests, you need to provide a Friendli Token for authentication and authorization purposes.

For more detailed information, please refer here.

Headers

X-Friendli-Team
string | null

ID of team to run requests as (optional parameter).

Path Parameters

endpoint_id
string
required

The ID of the endpoint

Response

Successfully requested to restart the endpoint.

Dedicated endpoint status.

status
enum<string>
required

The current status of the endpoint deployment.

Available options:
UNKNOWN,
INITIALIZING,
RUNNING,
UPDATING,
SLEEPING,
AWAKING,
FAILED,
STOPPING,
TERMINATING,
TERMINATED,
READY
createdAt
string<date-time>
required

When the endpoint was created.

errorCode
enum<string> | null

ErrorCode type.

Available options:
WORKLOAD_INIT_UNKNOWN_ERROR,
WORKLOAD_INIT_SETTINGS_ERROR,
WORKLOAD_INIT_GRPC_ERROR,
WORKLOAD_INIT_MANIFEST_NOT_FOUND_ERROR,
WORKLOAD_INIT_MANIFEST_TYPE_ERROR,
WORKLOAD_INIT_DOWNLOAD_ERROR,
WORKLOAD_INIT_INVALID_TOKEN_ERROR,
WORKLOAD_INIT_CANNOT_ACCESS_REPO_ERROR,
WORKLOAD_INIT_HF_WANDB_API_ERROR,
WORKLOAD_INIT_INSUFFICIENT_DISK_ERROR,
INFERENCE_ENGINE_UNKNOWN_ERROR,
INFERENCE_ENGINE_INVALID_ARGUMENT_ERROR,
INFERENCE_ENGINE_MEMORY_ERROR,
INFERENCE_ENGINE_METERING_CLIENT_CONFIG_ERROR
updatedAt
string<date-time> | null

When the endpoint was last updated.

phase
enum<string> | null

The current phase of the endpoint.

Available options:
REQUESTING_VIRTUAL_MACHINE,
DOWNLOADING_MODEL,
ENGINE_INITIALIZING
Last modified on June 9, 2026